package type;
final public class NoWritePermissionHolder
	implements org.omg.CORBA.portable.Streamable
{
	public type.NoWritePermission value;

	public NoWritePermissionHolder ()
	{
	}
	public NoWritePermissionHolder (type.NoWritePermission initial)
	{
		value = initial;
	}
	public org.omg.CORBA.TypeCode _type()
	{
		return type.NoWritePermissionHelper.type();
	}
	public void _read(org.omg.CORBA.portable.InputStream _in)
	{
		value = type.NoWritePermissionHelper.read(_in);
	}
	public void _write(org.omg.CORBA.portable.OutputStream _out)
	{
		type.NoWritePermissionHelper.write(_out,value);
	}
}
